/*
** Win_Aux.h for Gmurf in ~/Gmurf/gui
** 
** Made by Rmi Coupet
** Login   <inthy@sietch.inthy.fr>
** 
** Started on  Tue Feb 16 19:11:26 1999 Rmi Coupet
** Last update Fri Mar 12 20:42:33 1999 Rmi Coupet
*/


#ifndef _WIN_AUX
#define _WIN_AUX

#include "gui.h"
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <sys/wait.h>
#include "Constants.h"


#define BUTTON_WIDTH 100
#define BUTTON_HEIGHT 27
#define LINE_WIDTH 30
#define DIAL_W 250
#define DIAL_H 200
#define PRINC_W 640
#define PRINC_H 480
#define AUX_W 200
#define AUX_H 200

#define WAV_RED 13
#define WAV_GREEN 132
#define WAV_BLUE 234


void 		SetColor			(GdkColor *color, 
						 guint red, 
						 guint green, 
						 guint blue) ;
gushort 	CountRGB			(guint c) ;
void		quit				(void) ;
GtkWidget	*create_new_window_aux		(int		width,
						 int		height ,
						 int		frame_size, 
						 const char	*title);
GtkWidget	*create_principal_window	(int		width, 
						 int		height ,
						 int		frame_size,
						 const char	*title);
GtkWidget	*new_pix_from_data		(GtkWidget	*win_for_pix, 
						 char		**pixmap);
/*
** Basic shape to create a box with 2 buttons
*/
GtkWidget	*button2_dialog_box		(char		*button1, 
						 char		*button2,
						 char		*title, 
						 char		*Mess, 
						 char		**pixmap,
						 GtkWidget	*win_for_pix, 
						 gpointer	func);
GtkWidget	*YesNo_dialog_box		(char		*Mess, 
						 GtkWidget	*win_for_pix, 
						 gpointer	func);
GtkWidget	*Cancel_dialog_box		(char		*Mess, 
						 GtkWidget	*win_for_pix, 
						 gpointer	func);
/*
** Basic shape to create a dialog box with a massage
*/
GtkWidget	*button1_dialog_box		(char		*title, 
						 char		*Mess, 
						 char		**pixmap, 
						 GtkWidget	*win_for_pix);
GtkWidget	*Info_dialog_box		(char		*Mess, 
						 GtkWidget	*win_for_pix);
GtkWidget	*Error_dialog_box		(char		*Mess, 
						 GtkWidget	*win_for_pix);
GtkWidget	*Create_Button_with_pixmap_label(gchar		*ltext,
						 gchar		**pixmap,
						 gchar		**pixmap_light,
						 GtkWidget	*win_for_pix) ;
GtkWidget	*Create_Toggle_Button_with_pixmap_label(gchar		*ltext,
						 gchar		**pixmap,
						 gchar		**pixmap_light,
						 GtkWidget	*win_for_pix) ;
#endif










